> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# TemplateLanguage

> Archive Provider for retriving the registered languages for a given document template.

## "TemplateLanguage"

This provider name is implemented by the class <see cref="T:SuperOffice.CRM.ArchiveLists.Archive___ListItems.TemplateLanguageProvider">SuperOffice.CRM.ArchiveLists.Archive\_\_\_ListItems.TemplateLanguageProvider</see> inside NetServer's SODatabase assembly.

Archive Provider for retriving the registered languages for a given document template.
The provider will use the document plugin to get the languages registered.

## Supported Entities

| Name               | Description        |
| ------------------ | ------------------ |
| "templatelanguage" | (templatelanguage) |

## Supported Columns

| Name | Restriction | Description | OrderBy |
| ---- | ----------- | ----------- | ------- |
| id   | *None*      | id          |         |
| name | *None*      | name        |         |

## Sample

```http! theme={null}
GET /api/v1/archive/TemplateLanguage?$select=
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: sv

```

See also: <see cref="T:SuperOffice.CRM.Services.IArchiveAgent">IArchiveAgent</see>.


## Related topics

- [What's new in version 12.3.2195.0](/release-notes/database/changelog.md)
- [What's new in version 10.3.1.759](/release-notes/database/changes-10.3.1.md)
- [What's new in version 10.3.10.720](/release-notes/database/changes-10.3.10.md)
- [What's new in version 10.3.11.910](/release-notes/database/changes-10.3.11.md)
- [What's new in version 10.3.12.929](/release-notes/database/changes-10.3.12.md)
- [What's new in version 10.2.11.1228](/release-notes/database/changes-10.2.11.md)
